# Cancel a Job

post `https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name/jobs/:job_name/cancelJob`

Cancel an already running Job.

RBAC Capability Required: `ams.job.create`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** string Required
- **transform_name** string Required
- **job_name** string Required

## Response

**200 Success**  
No response body.

## Errors

- **400 Bad Request**
  - `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
  - `code` string Required  
    The error code.
  - `detail` string Required  
    The error message.
  - `extraDetail` map from string to any Optional  
    Extra information regarding this error.
  - `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **401 Unauthorized**
  - `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
  - `code` string Required  
    The error code.
  - `detail` string Required  
    The error message.
  - `extraDetail` map from string to any Optional  
    Extra information regarding this error.
  - `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **403 Forbidden**
  - `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
  - `code` string Required  
    The error code.
  - `detail` string Required  
    The error message.
  - `extraDetail` map from string to any Optional  
    Extra information regarding this error.
  - `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **404 Not Found**
  - `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
  - `code` string Required  
    The error code.
  - `detail` string Required  
    The error message.
  - `extraDetail` map from string to any Optional  
    Extra information regarding this error.
  - `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **429 Too Many Requests**
  - `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
  - `code` string Required  
    The error code.
  - `detail` string Required  
    The error message.
  - `extraDetail` map from string to any Optional  
    Extra information regarding this error.
  - `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code

- **500 Internal Server Error**
  - `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
    - Pertinent information about the error
  - `code` string Required  
    The error code.
  - `detail` string Required  
    The error message.
  - `extraDetail` map from string to any Optional  
    Extra information regarding this error.
  - `ref` string Required  
    A reference to the request that caused the error.
  - `status` integer Required  
    The HTTP status code
